package de.hftstuttgart.energycomponents.app.handlers;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;
import org.eclipse.e4.ui.workbench.modeling.EPartService;

public class SaveHandler {
	@CanExecute
	public boolean canExecute(EPartService partService) {
		// TODO isDirty() is not updated yet.
		if (partService != null) {
		MPart catalogPart = partService.findPart(HandlerUtils.CATALOG_PARTDESCRIPTOR_ID);
			return catalogPart != null && catalogPart.isDirty();
		}
		return false;
	}

	@Execute
	public void execute(EPartService partService) {	
		MPart activeCatalog = partService.getActivePart();
		if (activeCatalog != null) {
			partService.savePart(activeCatalog, false);
		}
	}
}